Support » Plugin: FancyBox for WordPress » Plugin stopped working after updating to version 3.1.0

  • Resolved Ilona

    (@filona)


    I’ve updated to version 3.1.0 and got the following notice:
    <b>Notice</b>: Undefined index: transitionEffect in <b>/plugins/fancybox-for-wordpress/fancybox.php</b> on line <b>335</b><br />

    The page I need help with: [log in to see the link]

Viewing 5 replies - 1 through 5 (of 5 total)
  • Thread Starter Ilona

    (@filona)

    It also looks like you left this line when debugging:

    print_r($hook);

    on line 461 in fancybox.php which now throws an error as $hook is no longer defined.

    Thread Starter Ilona

    (@filona)

    After further investigating, it looks like the two were related. Commenting out that line nr 461 fixes the issue, so for anyone having the same issue after updating to 3.1.0 this should work as a temporary fix…

    Plugin Support mplusb

    (@mplusb)

    Hello @filona,

    Thank you for reaching out and letting us know about this!
    We have went ahead and released an update regarding this.
    Could you please update to 3.1.1? This should fix the issue.

    Thank you,
    Mihaela

    Thread Starter Ilona

    (@filona)

    Updating to 3.1.1 fixed the error, but it seems the fancybox is now applied to all images, even the ones it shouldn’t be.

    E.g. clicking on the logo now tries to open the fancybox instead of redirecting to the home page and the fancybox popup says:
    ‘The requested content cannot be loaded. Please try again later.’

    Plugin Support mplusb

    (@mplusb)

    Please add the code below:
    thumbnails = jQuery("main a:has(img)").not(".nolightbox, .nofancybox, a:has(img.nolightbox, img.nofancybox)").filter( function() { return /\.(jpe?g|png|gif|bmp|mp4)?.+$/i.test(jQuery(this).attr("href")) });

    in Settings -> Fancybox for WP -> Galleries -> Use a custom expression to apply FancyBox and save.

    It should fix it until we release an update.

    Thank you,
    Mihaela

    • This reply was modified 2 years, 11 months ago by mplusb.
    • This reply was modified 2 years, 11 months ago by mplusb.
Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘Plugin stopped working after updating to version 3.1.0’ is closed to new replies.